package com.diagbot.util;

import java.math.BigDecimal;

/**
 * @Description: 大数工具类
 * @author: gaodm
 * @time: 2020/4/14 10:21
 */
public class BigDecimalUtil {

    public static int scale = 2;
    public static int roundingMode = BigDecimal.ROUND_HALF_UP;

    public static boolean isEquals(BigDecimal a, BigDecimal b, int scaleInt) {
        return a.setScale(scaleInt, roundingMode).equals(
                b.setScale(scaleInt, roundingMode)
        );
    }

    public static boolean isEquals(BigDecimal a, BigDecimal b) {
        if (a == null && b == null) {
            return true;
        }
        if ((a == null && b != null) || (a != null && b == null)) {
            return false;
        }
        return a.setScale(scale, roundingMode).equals(
                b.setScale(scale, roundingMode)
        );
    }

    public static Integer compareTo(BigDecimal a, BigDecimal b) {
        Integer res = 1;
        if (a.compareTo(b) == -1) {
            res = 1;
            //System.out.println("a小于b");
        }

        if (a.compareTo(b) == 0) {
            res = 2;
            //System.out.println("a等于b");
        }

        if (a.compareTo(b) == 1) {
            res = 3;
            //System.out.println("a大于b");
        }

        if (a.compareTo(b) > -1) {
            res = 4;
            //System.out.println("a大于等于b");
        }

        if (a.compareTo(b) < 1) {
            res = 5;
            //System.out.println("a小于等于b");
        }
        return res;
    }
}
