package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.QcModeDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.QcModeFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 菜单 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-15
 */
@RestController
@RequestMapping("/qcMode")
@Api(value = "菜单相关API", tags = { "菜单相关API" })
public class QcModeController {

    @Autowired
    QcModeFacade qcModeFacade;

    @ApiOperation(value = "获取菜单信息[by:zhoutg]",
            notes = "")
    @PostMapping("/getMenu")
    @SysLogger("getMenu")
    public RespDTO<List<QcModeDTO> > getMenu() {
        List<QcModeDTO> data = qcModeFacade.getMenu();
        return RespDTO.onSuc(data);
    }
}
